package com.google.inject;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * A pointer to the default provider type for a type.
 */
@Retention(RUNTIME)
@Target(TYPE)
public @interface ProvidedBy {

    /**
     * The implementation type.
     */
    Class<? extends Provider<?>> value();
}
