package com.google.inject.assistedinject;

import com.google.inject.Key;

import java.util.Collection;

/**
 * A binding for a factory created by FactoryModuleBuilder.
 *
 * @param <T> The fully qualified type of the factory.
 */
public interface AssistedInjectBinding<T> {

    /**
     * Returns the {@link Key} for the factory binding.
     */
    Key<T> getKey();

    /**
     * Returns an {@link AssistedMethod} for each method in the factory.
     */
    Collection<AssistedMethod> getAssistedMethods();
}
