package com.google.inject.assistedinject;

import com.google.inject.spi.BindingTargetVisitor;

/**
 * A visitor for the AssistedInject extension.
 * <p>
 * If your {@link BindingTargetVisitor} implements this interface, bindings created by using
 * {@link FactoryModuleBuilder} will be visited through this interface.
 */
public interface AssistedInjectTargetVisitor<T, V> extends BindingTargetVisitor<T, V> {

    /**
     * Visits an {@link AssistedInjectBinding} created through {@link FactoryModuleBuilder}.
     */
    V visit(AssistedInjectBinding<? extends T> assistedInjectBinding);
}
