package com.google.inject.internal;

/**
 * Holds a reference that requires initialization to be performed before it can be used.
 */
interface Initializable<T> {

    /**
     * Ensures the reference is initialized, then returns it.
     */
    T get(Errors errors) throws ErrorsException;
}
