package com.google.inject.internal;

import com.google.inject.Key;
import com.google.inject.MembersInjector;
import com.google.inject.Provider;
import com.google.inject.TypeLiteral;

/**
 * Accessors for providers and members injectors. The returned values will not be functional until
 * the injector has been created.
 */
interface Lookups {

    <T> Provider<T> getProvider(Key<T> key);

    <T> MembersInjector<T> getMembersInjector(TypeLiteral<T> type);
}
