package com.google.inject.internal;

import com.google.inject.spi.Message;

/**
 * Handles {@code Binder.addError} commands.
 *
 */
final class MessageProcessor extends AbstractProcessor {

    MessageProcessor(Errors errors) {
        super(errors);
    }

    public static String getRootMessage(Throwable t) {
        Throwable cause = t.getCause();
        return cause == null ? t.toString() : getRootMessage(cause);
    }

    @Override
    public Boolean visit(Message message) {
        if (message.getCause() != null) {
            String rootMessage = getRootMessage(message.getCause());
            /*logger.log(Level.INFO,
                    "An exception was caught and reported. Message: " + rootMessage,
                    message.getCause());*/
        }

        errors.addMessage(message);
        return true;
    }
}
