package com.google.inject.multibindings;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * Allows {@literal @}{@link ProvidesIntoMap} to specify a string map key.
 */
@MapKey(unwrapValue = true)
@Documented
@Target(METHOD)
@Retention(RUNTIME)
public @interface StringMapKey {
    String value();
}
