package com.google.inject.spi;

import com.google.inject.Binding;

import java.util.Set;

/**
 * A binding to a single instance. The same instance is returned for every injection.
 *
 */
public interface InstanceBinding<T> extends Binding<T>, HasDependencies {

    /**
     * Returns the user-supplied instance.
     */
    T getInstance();

    /**
     * Returns the field and method injection points of the instance, injected at injector-creation
     * time only.
     *
     * @return a possibly empty set
     */
    Set<InjectionPoint> getInjectionPoints();

}
