package com.google.inject.multibindings;

import com.google.inject.multibindings.Element.Type;
import junit.framework.TestCase;

public class RealElementTest extends TestCase {

    private Element systemElement;
    private RealElement realElement;

    @Override
    protected void setUp() throws Exception {
        this.systemElement = Holder.class.getAnnotation(Element.class);
        this.realElement = new RealElement("b", Type.MULTIBINDER, "a", 1);
    }

    public void testEquals() {
        assertEquals(systemElement, realElement);
        assertEquals(realElement, systemElement);
    }

    public void testHashCode() {
        assertEquals(systemElement.hashCode(), realElement.hashCode());
    }

    public void testProperties() {
        assertEquals("a", realElement.keyType());
        assertEquals("b", realElement.setName());
        assertEquals(Type.MULTIBINDER, realElement.type());
        assertEquals(1, realElement.uniqueId());
    }


    @Element(keyType = "a", setName = "b", type = Type.MULTIBINDER, uniqueId = 1)
    static class Holder {
    }

}
